using System;

/*
 * File: HelloWorld.cs
 *
 * Description: This file exemplifies printing 'Hello, World!' in C#.
 *
 * Package: AniNIX/HelloWorld
 * Copyright: WTFPL
 *
 * Author: DarkFeather <ircs://aninix.net:6697/DarkFeather>
 */

namespace AniNIX {

    /// This class is used exemplify coding standard in C#.
    public sealed class HelloWorld {

        // String to print
        private static String _helloWorld="Hello, World!";

        /// <summary>
        /// Print 'Hello, World!'
        /// </summary>
        public static void PrintHelloWorld() {
            Console.WriteLine(_helloWorld);
        }

        /// <summary>
        /// Code entry point
        /// </summary>
        public static void Main(string[] args) {
            HelloWorld.PrintHelloWorld();
            return;
        }
    }
}
