This project is tracking basic standards of reference for getting started with various programming languages. That standard has always been a program that prints "Hello, World!"

# Etymology
A program called ["Hello, World!"](https://en.wikipedia.org/wiki/%22Hello,_World!%22_program) has been a mainstay of computing for a long time, with some thinking it began with BCPL in 1967. Regardless, it is a common teaching tool for new programmers, and it is a way for a language to announce itself to the world.

# Relevant Files and Software

The relevant software for this is any executing engine for a language included in the project. For languages like C, they compile into local executables -- languages like Java & C# create compiled entities that need to execute within their runtime. Others, like Python & PHP, don't compile but execute within their respective binaries. Check the [test units](/AniNIX/HelloWorld/src/branch/main/tests) file for more details on invocation.

## Java

Per [ArchWiki's notes on Java](https://wiki.archlinux.org/title/Java#Installation), you need to use `archlinux-java` to set your java environment. We typically use the latest Java available.

# Available Clients

There are none. This is a demo repo for teaching purposes.

# Equivalents or Competition

Many good products for teaching computing, including [W3Schools](https://www.w3schools.com/), [Codingame](https://www.codingame.com/home), [Khan Academy](https://www.khanacademy.org/computing/computer-programming), and others exist. We encourage all our new developers to look up various paths to learn to code -- it's a highly rewarding track to pursue.
