import java.lang.System;

/*
 * File: HelloWorld.java
 *
 * Description: This file exemplifies printing 'Hello, World!' in Java.
 *
 * Package: AniNIX/HelloWorld
 * Copyright: WTFPL
 *
 * Author: DarkFeather <ircs://aninix.net:6697/DarkFeather>
 */

/// This class is used exemplify coding standard in Java
public class HelloWorld {

    // String to print
    private static String _helloWorld = "Hello, World!";

    /// <summary>
    /// Print 'Hello, World!'
    /// </summary>
    public static void PrintHelloWorld() {
        System.out.println(_helloWorld);
    }

    /// MAIN
    public static void main(String[] args) {
        PrintHelloWorld();
    }
}
